gpt 3使用fine-tunes.create参数进行微调不起作用

7gcisfzg  于 4个月前  发布在  其他
关注(0)|答案(1)|浏览(910)

我想在我的数据上微调一个openai模型,为此我给出了这个命令(根据openai文档)
第一个月
但这个错误来了

usage: openai api [-h]
                  {chat.completions.create,images.generate,images.edit,images.create_variation,audio.transcriptions.create,audio.translations.create,files.create,files.retrieve,files.delete,files.list,models.list,models.retrieve,models.delete,completions.create}
                  ...
openai api: error: argument {chat.completions.create,images.generate,images.edit,images.create_variation,audio.transcriptions.create,audio.translations.create,files.create,files.retrieve,files.delete,files.list,models.list,models.retrieve,models.delete,completions.create}: invalid choice: 'fine_tunes.create' (choose from 'chat.completions.create', 'images.generate', 'images.edit', 'images.create_variation', 'audio.transcriptions.create', 'audio.translations.create', 'files.create', 'files.retrieve', 'files.delete', 'files.list', 'models.list', 'models.retrieve', 'models.delete', 'completions.create')

字符串
不知道为什么会这样。根据openai docs link,仍然可以进行微调。创建作品。有人能帮助我吗?
我期待一个微调的ada模型,在给出那个命令后。几个月前我做了同样的方式,它工作了,现在它不会来了。
refer this image

cwdobuhd

cwdobuhd1#

这几个月你不是一直在下面指挥吗?

pip install --upgrade openai

字符串
降级将是一个解决方案。0.28.1是2023年9月下旬提供的版本。

pip install openai==0.28.1


降级后,openai api fine_tunes.create将工作。
但是,您可能会遇到another error

相关问题